#
# File: rsbac/data_structures/Makefile
#
# Makefile for the RSBAC data structures.
#
# Author and (c) 1999-2001 Amon Ott
#

O_TARGET := data_structures.o
M_OBJS   :=

ifeq ($(PATCHLEVEL),2)

O_OBJS   :=
OX_OBJS  := aci_data_structures.o gen_lists.o

# Adding policy dependant data structures
ifeq ($(CONFIG_RSBAC_PM),y)
O_OBJS += pm_data_structures.o
endif

ifeq ($(CONFIG_RSBAC_RC),y)
O_OBJS += rc_data_structures.o
endif

ifeq ($(CONFIG_RSBAC_AUTH),y)
O_OBJS += auth_data_structures.o
endif

ifeq ($(CONFIG_RSBAC_ACL),y)
O_OBJS += acl_data_structures.o
endif

else

obj-y += aci_data_structures.o gen_lists.o
export-objs += aci_data_structures.o gen_lists.o

# Adding policy dependant data structures

obj-$(CONFIG_RSBAC_PM) += pm_data_structures.o
obj-$(CONFIG_RSBAC_RC) += rc_data_structures.o
obj-$(CONFIG_RSBAC_AUTH) += auth_data_structures.o
obj-$(CONFIG_RSBAC_ACL) += acl_data_structures.o

endif

include $(TOPDIR)/Rules.make
